### Function

# Foundry file_canonicalize

#### Declaration [src]

    GFile*
    foundry_file_canonicalize (
      GFile* file,
      GError** error
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.